$(document).ready(function() {
	$(".sel").hover(function() {
		$.post('/?module=default&controller=cart&action=summary', {}, function(data){
			$("#cartInfoDiv").html(data);
		});
		$(this).find(".car").stop().animate({top: "25", opacity:1}, "fast").css("display","block");
	},function(){
		$(this).find(".car").stop().animate({top: "0", opacity: 0}, "fast").css("display","none");
	});
	
	$('.goto > li').hover(function() {
		var v = $('.image', this).attr('x-src');
		$('.image-preview .image').attr('src', v);
		$('.goto > li').removeClass('current');
		$(this).addClass('current');
	});
	$('.tabs > li').click(function tab() {
		var dom = $(this).attr('goto');
		$('.tabs > li').removeClass('current');
		$(this).addClass('current');
		$('.tabs-group').hide(); $(dom).show();
	});
	$('.accordion dt').click(function() {
		if (!$(this).siblings('dd').length) {
			return;
		}
		if ($(this).attr('class') != 'current') {
			if (!$(this).attr('noclose')) {
				$('.accordion dt').removeClass('current');
				$('.accordion dd').slideUp();
			}
			$(this).addClass('current');
			$(this).siblings('dd').slideDown();
		} else {
			if (!$(this).attr('noclose')) {
				$('.accordion dt').removeClass('current');
				$('.accordion dd').slideUp();
			}
			$(this).removeClass('current');
			$(this).siblings('dd').slideUp();
		}
	});
	
	$('ul.jumplist > li').hover(
		function() {
			$('ul', $(this)).show(); $(this).addClass('current'); $('.sublist').hide() 
			var windowHeight = $(window).height();
			var domHeight = $('ul', $(this)).outerHeight();
			var offset = $('ul', $(this)).offset();
			var overflow = windowHeight - (offset.top + domHeight);
			if (windowHeight < offset.top + domHeight) {
				$('ul', $(this))
					.css('top', overflow+'px');
			} else {
					
			}
		},
		function() {
			$('ul', $(this)).hide(); $(this).removeClass('current'); $('.sublist').hide()
		}
	);

	$(document).find('.list-moreorless').each(function (i) {
		var dom = $(this);
		var length = $(this).attr('length') - 1;
		$(this).find('.view-more').hide();
		$(this).find('.view-less').hide();
		$(this).children('li').each(function(j) {
			if (j > length) { $(this).hide(); $(dom).find('.view-more').show(); }
		});
		
		$(this).find('.view-more').click(function() {
			$(this).hide(); $(this).siblings('.view-less').show();
			$(dom).find('li').each(function (j) {
				if (j > length) { $(this).show(); }
			});
		});
		$(this).find('.view-less').click(function() {
			$(this).hide(); $(this).siblings('.view-more').show();
			$(dom).find('li').each(function (j) {
				if (j > length) { $(this).hide(); }
			});
		});
	});
	
	$('input.date').datepicker(
		{dateFormat:'yy/mm/dd'},
		{dayNamesMin: ['1', '2', '3', '4', '5', '6', '7']}
	);
});